:	'(c) Copyright	Empress Software Inc.	1983, 2000'

#*************************************************************
#    This script is used to restore all changes in Win32
#                       Registry keys.
#
#    It invokes $TEST_DIR/$REG_RESTORE_FILE created by 
#    $EMPRESSPATH/common/sys_bin/win32/regSetKey script.
#*************************************************************
USAGE="*** Usage ***  $0 test_dir"


case $# in
 1)     ;;
 *)     echo "$USAGE"; exit 1;;
esac


. $EMPRESSPATH/common/sys_bin/win32/regConfig || exit 1

cd "$1"
if test ! -f $REG_RESTORE_FILE
then
	echo  "Error: Can't find $REG_RESTORE_FILE in `pwd`"
	exit 1
fi

chmod 755 $REG_RESTORE_FILE
. ./$REG_RESTORE_FILE 

case $? in
 "0")	echo "   Cleaning up the Regisrty... Done." 
	rm -f $REG_RESTORE_FILE
	;;
 *) echo "   Cleaning up the Regisrty... Failed. Please, check your \n  $1/$REG_RESTORE_FILE file."
	;;
esac
